/*
 * Copyright 2013, devbliss GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package client.index;

import javax.inject.Inject;

import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.user.client.ui.Widget;
import com.gwtplatform.mvp.client.ViewImpl;

/**
 * Default implementation of {@link IndexPresenter.View}.
 *
 * @author <a href="mailto:jb@barop.de">Johannes Barop</a>
 *
 */
public class IndexViewImpl extends ViewImpl implements IndexPresenter.View {

  public interface IndexViewImplUiBinder extends UiBinder<Widget, IndexViewImpl> {}

  private final Widget widget;

  @Inject
  public IndexViewImpl(final IndexViewImplUiBinder uiBinder) {
    this.widget = uiBinder.createAndBindUi(this);
    this.widget.ensureDebugId(IndexViewImpl.class.getName());
  }

  @Override
  public Widget asWidget() {
    return widget;
  }

}
